# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "mm1-server"
version = "0.7.23"
authors = ["That Roma <mm1@thatroma.me>"]
build = false
exclude = ["**/*.snap"]
publish = true
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "An Erlang-style actor runtime for Rust."
readme = false
license = "MIT"
repository = "https://github.com/agner-rs/mm1"

[lib]
name = "mm1_server"
path = "src/lib.rs"

[dependencies.derive_more]
version = "^2.1"
features = [
    "debug",
    "from",
]

[dependencies.eyre]
version = "^0.6"

[dependencies.futures]
version = "^0.3"

[dependencies.ghost]
version = "^0.1"

[dependencies.metrics]
version = "^0.24"

[dependencies.mm1-address]
version = "=0.7.23"

[dependencies.mm1-ask]
version = "=0.7.23"

[dependencies.mm1-common]
version = "=0.7.23"

[dependencies.mm1-core]
version = "=0.7.23"

[dependencies.mm1-proto]
version = "=0.7.23"

[dependencies.mm1-proto-ask]
version = "=0.7.23"

[dependencies.tracing]
version = "^0.1"
